# Uses of Class
java.awt.event.MouseWheelEvent

Packages that use MouseWheelEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of MouseWheelEvent in java.awt

Methods in java.awt with parameters of type MouseWheelEvent
Modifier and Type
Method
Description
`void`
AWTEventMulticaster.`mouseWheelMoved(MouseWheelEvent e)`
Handles the mouseWheelMoved event by invoking the mouseWheelMoved methods on listener-a and listener-b.
`protected void`
Component.`processMouseWheelEvent(MouseWheelEvent e)`
Processes mouse wheel events occurring on this component by dispatching them to any registered `MouseWheelListener` objects.
`protected void`
ScrollPane.`processMouseWheelEvent(MouseWheelEvent e)`
Process mouse wheel events that are delivered to this `ScrollPane` by scrolling an appropriate amount.

## Uses of MouseWheelEvent in java.awt.event

Methods in java.awt.event with parameters of type MouseWheelEvent
Modifier and Type
Method
Description
`void`
MouseAdapter.`mouseWheelMoved(MouseWheelEvent e)`
Invoked when the mouse wheel is rotated.
`void`
MouseWheelListener.`mouseWheelMoved(MouseWheelEvent e)`
Invoked when the mouse wheel is rotated.

## Uses of MouseWheelEvent in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type MouseWheelEvent
Modifier and Type
Method
Description
`protected void`
LayerUI.`processMouseWheelEvent(MouseWheelEvent e, JLayer<? extends V> l)`
Processes mouse wheel event occurring on the `JLayer` or any of its subcomponents.

## Uses of MouseWheelEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type MouseWheelEvent
Modifier and Type
Method
Description
`void`
BasicScrollPaneUI.MouseWheelHandler.`mouseWheelMoved(MouseWheelEvent e)`
Called when the mouse wheel is rotated while over a JScrollPane.